package com.zcloud.modules.kangzai.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author fangjiakai
 * @Desc 河道行洪隐患区村庄清单(BusRiverRiskVillages)实体
 * @Date 2025-06-09 09:44:24
 */
@Data
@TableName("bus_river_risk_villages")
public class BusRiverRiskVillagesEntity implements Serializable {
    private static final long serialVersionUID = -96222971240010871L;
    //唯一记录ID
    @ApiModelProperty(value = "唯一记录ID")
    @TableId
    private String riverRiskVillagesId;
    //关联河流ID（逻辑关联bus_rivers.river_id）
    @ApiModelProperty(value = "关联河流ID（逻辑关联bus_rivers.river_id）")
    private String riverId;
    //省（字典）
    @ApiModelProperty(value = "省（字典）")
    private String province;
    //市（字典）
    @ApiModelProperty(value = "市（字典）")
    private String city;
    //县（字典）
    @ApiModelProperty(value = "县（字典）")
    private String county;
    //乡（字典）
    @ApiModelProperty(value = "乡（字典）")
    private String village;
    //街（字典）
    @ApiModelProperty(value = "街（字典）")
    private String street;
    //地区
    @ApiModelProperty(value = "地区")
    private String areaName;
    //隐患等级(1-低风险,2-中风险,3-高风险)
    @ApiModelProperty(value = "隐患等级(1-低风险,2-中风险,3-高风险)")
    private Integer riskLevel;
    //隐患描述（如：堤防薄弱、河道淤积）
    @ApiModelProperty(value = "隐患描述（如：堤防薄弱、河道淤积）")
    private String riskDescription;
    //是否删除
    @ApiModelProperty(value = "是否删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer isDelete;
}

