package com.zcloud.modules.kangzai.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author fangjiakai
 * @Desc 河流县区段信息表(BusRiverSections)实体
 * @Date 2025-06-09 09:44:25
 */
@Data
@TableName("bus_river_sections")
public class BusRiverSectionsEntity implements Serializable {
    private static final long serialVersionUID = 210184157723755210L;
    //河段ID
    @ApiModelProperty(value = "河段ID")
    @TableId
    private String riverSectionsId;
    //关联河流ID
    @ApiModelProperty(value = "关联河流ID")
    private String riverId;
    //省（字典）
    @ApiModelProperty(value = "省（字典）")
    private String province;
    //市（字典）
    @ApiModelProperty(value = "市（字典）")
    private String city;
    //县（字典）
    @ApiModelProperty(value = "县（字典）")
    private String county;
    //地区
    @ApiModelProperty(value = "地区")
    private String areaName;
    //县区段长度（km）
    @ApiModelProperty(value = "县区段长度（km）")
    private Double sectionLength;
    //最小河宽（m）
    @ApiModelProperty(value = "最小河宽（m）")
    private Double riverWidthMin;
    //最大河宽（m）
    @ApiModelProperty(value = "最大河宽（m）")
    private Double riverWidthMax;
    //平均河宽（m）
    @ApiModelProperty(value = "平均河宽（m）")
    private Double riverWidthAvg;
    //河段特征描述
    @ApiModelProperty(value = "河段特征描述")
    private String sectionDescription;
    //是否删除
    @ApiModelProperty(value = "是否删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer isDelete;
}

