package com.zcloud.modules.kangzai.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author fangjiakai
 * @Desc (BusTailingsReservoir)实体
 * @Date 2025-06-10 18:47:45
 */
@Data
@TableName("bus_tailings_reservoir")
public class BusTailingsReservoirEntity implements Serializable {
    private static final long serialVersionUID = 956061069869617279L;
    //尾矿库唯一ID
    @ApiModelProperty(value = "尾矿库唯一ID")
    @TableId
    private String tailingsReservoirId;
    //名称
    @ApiModelProperty(value = "名称")
    private String name;
    //地址
    @ApiModelProperty(value = "地址")
    private String address;
    //省（字典）
    @ApiModelProperty(value = "省（字典）")
    private String province;
    //市（字典）
    @ApiModelProperty(value = "市（字典）")
    private String city;
    //县（字典）
    @ApiModelProperty(value = "县（字典）")
    private String county;
    //乡（字典）
    @ApiModelProperty(value = "乡（字典）")
    private String village;
    //街（字典）
    @ApiModelProperty(value = "街（字典）")
    private String street;
    //地区
    @ApiModelProperty(value = "地区")
    private String areaName;
    //运行状态
    @ApiModelProperty(value = "运行状态")
    private String runningStatus;
    //是否有生产经营主体
    @ApiModelProperty(value = "是否有生产经营主体")
    private String hasProductionEntity;
    //是否为头顶库
    @ApiModelProperty(value = "是否为头顶库")
    private String isOverheadVault;
    //矿种
    @ApiModelProperty(value = "矿种")
    private String mineralSpecies;
    //设计等别
    @ApiModelProperty(value = "设计等别")
    private String designGrade;
    //现状等别
    @ApiModelProperty(value = "现状等别")
    private String currentGrade;
    //设计坝高
    @ApiModelProperty(value = "设计坝高")
    private Double designDamHeight;
    //现状坝高
    @ApiModelProperty(value = "现状坝高")
    private Double currentDamHeight;
    //设计库容
    @ApiModelProperty(value = "设计库容")
    private Double designStorageCapacity;
    //现状库容
    @ApiModelProperty(value = "现状库容")
    private Double currentStorageCapacity;
    //是否在长江、黄河及其主要支流、其他重要河流岸线3公里范围内
    @ApiModelProperty(value = "是否在长江、黄河及其主要支流、其他重要河流岸线3公里范围内")
    private String isCloseToImportantRivers;
    //安全生产许可证或安全设施设计批复编号
    @ApiModelProperty(value = "安全生产许可证或安全设施设计批复编号")
    private String safetyProductionLicense;
    //生效日期
    @ApiModelProperty(value = "生效日期")
    private String effectiveDate;
    //失效日期
    @ApiModelProperty(value = "失效日期")
    private String expiryDate;
    //企业或管理单位主要负责人姓名
    @ApiModelProperty(value = "企业或管理单位主要负责人姓名")
    private String corpPrincipalName;
    //企业或管理单位主要负责人职务
    @ApiModelProperty(value = "企业或管理单位主要负责人职务")
    private String corpPrincipalPost;
    //企业或管理单位主要负责人手机
    @ApiModelProperty(value = "企业或管理单位主要负责人手机")
    private String corpPrincipalPhone;
    //经度
    @ApiModelProperty(value = "经度")
    private Double longitude;
    //纬度
    @ApiModelProperty(value = "纬度")
    private Double latitude;
    //添加人
    @ApiModelProperty(value = "添加人")
    private String creator;
    //添加时间
    @ApiModelProperty(value = "添加时间")
    @TableField(fill = FieldFill.INSERT)
    private String createTime;
    //修改人
    @ApiModelProperty(value = "修改人")
    private String operator;
    //修改时间
    @ApiModelProperty(value = "修改时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private String operatTime;
    //是否删除
    @ApiModelProperty(value = "是否删除")
    @TableField(fill = FieldFill.INSERT)
    private Integer isDelete;

}

