package com.zcloud.modules.kangzai.service.impl;
 import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
 import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
 import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
 import com.zcloud.common.utils.PageUtils;
 import com.zcloud.modules.kangzai.dao.BusTailingsReservoirDao;
 import com.zcloud.modules.kangzai.entity.BusTailingsReservoirEntity;
 import com.zcloud.modules.kangzai.service.BusTailingsReservoirService;
 import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

 import java.util.List;
 import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc (BusTailingsReservoir)表服务实现类
 * @Date 2025-06-10 18:47:47
 */
@Service("busTailingsReservoirService")
public class BusTailingsReservoirServiceImpl extends ServiceImpl<BusTailingsReservoirDao, BusTailingsReservoirEntity> implements BusTailingsReservoirService {

    @Override
	public BusTailingsReservoirEntity queryByFlexibleParams(String paramName, Object paramValue) {
		QueryWrapper<BusTailingsReservoirEntity> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq(paramName, paramValue); // 根据传入的参数名和参数值动态构建查询条件

		return baseMapper.selectOne(queryWrapper);
	}

	@Override
	public List<BusTailingsReservoirEntity> queryListByFlexibleParams(String paramName, Object paramValue) {
		QueryWrapper<BusTailingsReservoirEntity> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq(paramName, paramValue); // 根据传入的参数名和参数值动态构建查询条件

		return baseMapper.selectList(queryWrapper);
	}

    @Override
    public PageUtils listPage(Map<String, Object> params) {
        Page<Map<String,Object>> page = new Page<>(Integer.parseInt(params.get("curPage").toString()),Integer.parseInt(params.get("limit").toString()));
        params.put("isDelete",0);
        IPage<BusTailingsReservoirEntity> ipage = baseMapper.listPage(page,params);
        return new PageUtils(ipage);
    }


   @Override
	public void delete(String tailingsReservoirId,String userId){
		UpdateWrapper<BusTailingsReservoirEntity> updateWrapper = new UpdateWrapper<>();
		updateWrapper.eq("tailings_reservoir_id",tailingsReservoirId);

		BusTailingsReservoirEntity busTailingsReservoir = new BusTailingsReservoirEntity();
		busTailingsReservoir.setOperator(userId);
		busTailingsReservoir.setIsDelete(1);

		this.update(busTailingsReservoir, updateWrapper);
	}
}
